Vulnerability CVE-2020-7636


Published: 2020-04-06

Description:
adb-driver through 0.1.8 is vulnerable to Command Injection.It allows execution of arbitrary commands via the command function.

Type:

CWE-74

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
7.5/10
6.4/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
Partial
Partial
Affected software
Adb-driver project -> Adb-driver 

 References:
https://snyk.io/vuln/SNYK-JS-ADBDRIVER-564430
https://www.npmjs.com/package/adb-driver

Copyright 2021, cxsecurity.com

 

Back to Top